from django.views.generic import FormView

from servala.frontend.forms import OrganizationCreateForm


class OrganizationCreateView(FormView):
    form_class = OrganizationCreateForm
    template_name = "frontend/organizations/create.html"

    def form_valid(self, form):
        form.save()
        form.instance.set_owner(self.request.user)
        return super().form_valid(form)

    def get_success_url(self):
        return "/"
